> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meru.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener estado del payin por QR

> Devuelve el estado actual y la validez de un payin por QR.

### Parámetros

<ParamField path="paymentId" type="string" required>
  El paymentId devuelto al crear el payin por QR.
</ParamField>

### Respuesta

<ResponseField name="paymentId" type="string">
  El identificador único del pago.
</ResponseField>

<ResponseField name="isValid" type="boolean">
  Si el payin por QR es válido actualmente.
</ResponseField>

<ResponseField name="isExpired" type="boolean">
  Si el QR está expirado.
</ResponseField>

<ResponseField name="expiresAt" type="string">
  La fecha y hora (ISO 8601) en que expira el QR. Puede omitirse según el estado.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/v1/payins/qr-code/pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/status' \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>'
  ```

  ```js Javascript theme={null}
  const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payins/qr-code/pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/status', {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
      'api-key': '<api-key>'
    }
  });

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "paymentId": "pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "isValid": true,
    "isExpired": false,
    "expiresAt": "2026-04-17T12:46:44.310Z",
    "state": "created"
  }
  ```
</ResponseExample>

### Respuestas de error

<ResponseExample>
  ```json 404 theme={null}
  {
    "success": false,
    "error": "Not Found"
  }
  ```
</ResponseExample>
